<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FLDAbstractType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FLDAbstractType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FLDAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/FRDAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/FLDAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="FLDAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model.types</div>
    <h2 title="Class FLDAbstractType" class="title">Class FLDAbstractType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hwpf.model.types.FLDAbstractType</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hwpf/model/FieldDescriptor.html"
                           title="class in org.apache.poi.hwpf.model">FieldDescriptor</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">FLDAbstractType</span>
extends java.lang.Object</pre>
                <div class="block">Field Descriptor (FLD).
                    <p>
                        Class and fields descriptions are quoted from Microsoft Office Word 97-2007
                        Binary File Format

                        NOTE: This source is automatically generated please do not modify this file.
                        Either subclass or remove the record in src/records/definitions.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary
                        File Format Specification [*.doc]
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#field_1_chHolder">field_1_chHolder</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#field_2_flt">field_2_flt</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#FLDAbstractType--">FLDAbstractType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#fillFields-byte:A-int-">fillFields</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#getCh--">getCh</a></span>()</code>
                                    <div class="block">Type of field boundary the FLD describes: 19 -- field begin mark,
                                        20 --
                                        field separation mark; 21 -- field end mark
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#getChHolder--">getChHolder</a></span>()</code>
                                    <div class="block">ch field holder (along with reserved bits).</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#getFlt--">getFlt</a></span>()</code>
                                    <div class="block">Field type when ch == 19 OR field flags when ch == 21 .</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>byte</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#getReserved--">getReserved</a></span>()</code>
                                    <div class="block">Reserved</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">Size of record (exluding 4 byte header)</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFDiffer--">isFDiffer</a></span>()</code>
                                    <div class="block">Ignored for saved file</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFHasSep--">isFHasSep</a></span>()</code>
                                    <div class="block">==1 when field has a field separator</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFLocked--">isFLocked</a></span>()</code>
                                    <div class="block">==1 when field is locked from recalculation</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFNested--">isFNested</a></span>()</code>
                                    <div class="block">==1 when field is nested within another field</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFPrivateResult--">isFPrivateResult</a></span>()</code>
                                    <div class="block">==1 whenever the result of the field is never to be shown</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFResultDirty--">isFResultDirty</a></span>()</code>
                                    <div class="block">==1 when user has edited or formatted the result.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFResultEdited--">isFResultEdited</a></span>()</code>
                                    <div class="block">==1 when user has inserted text into or deleted text from the
                                        result
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#isFZombieEmbed--">isFZombieEmbed</a></span>()</code>
                                    <div class="block">==1 when result still believes this field is an EMBED or LINK
                                        field
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#serialize-byte:A-int-">serialize</a></span>(byte[]&nbsp;data,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setCh-byte-">setCh</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Sets the ch field value.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setChHolder-byte-">setChHolder</a></span>(byte&nbsp;field_1_chHolder)</code>
                                    <div class="block">ch field holder (along with reserved bits).</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFDiffer-boolean-">setFDiffer</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fDiffer field value.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFHasSep-boolean-">setFHasSep</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fHasSep field value.</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFLocked-boolean-">setFLocked</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fLocked field value.</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFlt-byte-">setFlt</a></span>(byte&nbsp;field_2_flt)</code>
                                    <div class="block">Field type when ch == 19 OR field flags when ch == 21 .</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFNested-boolean-">setFNested</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fNested field value.</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFPrivateResult-boolean-">setFPrivateResult</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fPrivateResult field value.</div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFResultDirty-boolean-">setFResultDirty</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fResultDirty field value.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFResultEdited-boolean-">setFResultEdited</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fResultEdited field value.</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setFZombieEmbed-boolean-">setFZombieEmbed</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Sets the fZombieEmbed field value.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#setReserved-byte-">setReserved</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Sets the reserved field value.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="field_1_chHolder">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>field_1_chHolder</h4>
                                <pre>protected&nbsp;byte field_1_chHolder</pre>
                            </li>
                        </ul>
                        <a name="field_2_flt">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>field_2_flt</h4>
                                <pre>protected&nbsp;byte field_2_flt</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FLDAbstractType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FLDAbstractType</h4>
                                <pre>public&nbsp;FLDAbstractType()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fillFields-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fillFields</h4>
                                <pre>protected&nbsp;void&nbsp;fillFields(byte[]&nbsp;data,
                          int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="serialize-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(byte[]&nbsp;data,
                      int&nbsp;offset)</pre>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public static&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">Size of record (exluding 4 byte header)</div>
                            </li>
                        </ul>
                        <a name="getChHolder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChHolder</h4>
                                <pre>public&nbsp;byte&nbsp;getChHolder()</pre>
                                <div class="block">ch field holder (along with reserved bits).</div>
                            </li>
                        </ul>
                        <a name="setChHolder-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setChHolder</h4>
                                <pre>public&nbsp;void&nbsp;setChHolder(byte&nbsp;field_1_chHolder)</pre>
                                <div class="block">ch field holder (along with reserved bits).</div>
                            </li>
                        </ul>
                        <a name="getFlt--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlt</h4>
                                <pre>public&nbsp;byte&nbsp;getFlt()</pre>
                                <div class="block">Field type when ch == 19 OR field flags when ch == 21 .</div>
                            </li>
                        </ul>
                        <a name="setFlt-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlt</h4>
                                <pre>public&nbsp;void&nbsp;setFlt(byte&nbsp;field_2_flt)</pre>
                                <div class="block">Field type when ch == 19 OR field flags when ch == 21 .</div>
                            </li>
                        </ul>
                        <a name="setCh-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCh</h4>
                                <pre>public&nbsp;void&nbsp;setCh(byte&nbsp;value)</pre>
                                <div class="block">Sets the ch field value. Type of field boundary the FLD describes: 19
                                    --
                                    field begin mark, 20 -- field separation mark; 21 -- field end mark
                                </div>
                            </li>
                        </ul>
                        <a name="getCh--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCh</h4>
                                <pre>public&nbsp;byte&nbsp;getCh()</pre>
                                <div class="block">Type of field boundary the FLD describes: 19 -- field begin mark, 20
                                    --
                                    field separation mark; 21 -- field end mark
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the ch field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setReserved-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setReserved</h4>
                                <pre>public&nbsp;void&nbsp;setReserved(byte&nbsp;value)</pre>
                                <div class="block">Sets the reserved field value. Reserved</div>
                            </li>
                        </ul>
                        <a name="getReserved--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getReserved</h4>
                                <pre>public&nbsp;byte&nbsp;getReserved()</pre>
                                <div class="block">Reserved</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the reserved field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFDiffer-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFDiffer</h4>
                                <pre>public&nbsp;void&nbsp;setFDiffer(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fDiffer field value. Ignored for saved file</div>
                            </li>
                        </ul>
                        <a name="isFDiffer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFDiffer</h4>
                                <pre>public&nbsp;boolean&nbsp;isFDiffer()</pre>
                                <div class="block">Ignored for saved file</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fDiffer field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFZombieEmbed-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFZombieEmbed</h4>
                                <pre>public&nbsp;void&nbsp;setFZombieEmbed(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fZombieEmbed field value. ==1 when result still believes
                                    this
                                    field is an EMBED or LINK field
                                </div>
                            </li>
                        </ul>
                        <a name="isFZombieEmbed--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFZombieEmbed</h4>
                                <pre>public&nbsp;boolean&nbsp;isFZombieEmbed()</pre>
                                <div class="block">==1 when result still believes this field is an EMBED or LINK field
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fZombieEmbed field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFResultDirty-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFResultDirty</h4>
                                <pre>public&nbsp;void&nbsp;setFResultDirty(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fResultDirty field value. ==1 when user has edited or
                                    formatted
                                    the result. == 0 otherwise
                                </div>
                            </li>
                        </ul>
                        <a name="isFResultDirty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFResultDirty</h4>
                                <pre>public&nbsp;boolean&nbsp;isFResultDirty()</pre>
                                <div class="block">==1 when user has edited or formatted the result. == 0 otherwise
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fResultDirty field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFResultEdited-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFResultEdited</h4>
                                <pre>public&nbsp;void&nbsp;setFResultEdited(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fResultEdited field value. ==1 when user has inserted text
                                    into
                                    or deleted text from the result
                                </div>
                            </li>
                        </ul>
                        <a name="isFResultEdited--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFResultEdited</h4>
                                <pre>public&nbsp;boolean&nbsp;isFResultEdited()</pre>
                                <div class="block">==1 when user has inserted text into or deleted text from the
                                    result
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fResultEdited field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFLocked-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFLocked</h4>
                                <pre>public&nbsp;void&nbsp;setFLocked(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fLocked field value. ==1 when field is locked from
                                    recalculation
                                </div>
                            </li>
                        </ul>
                        <a name="isFLocked--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFLocked</h4>
                                <pre>public&nbsp;boolean&nbsp;isFLocked()</pre>
                                <div class="block">==1 when field is locked from recalculation</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fLocked field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFPrivateResult-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFPrivateResult</h4>
                                <pre>public&nbsp;void&nbsp;setFPrivateResult(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fPrivateResult field value. ==1 whenever the result of the
                                    field
                                    is never to be shown
                                </div>
                            </li>
                        </ul>
                        <a name="isFPrivateResult--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFPrivateResult</h4>
                                <pre>public&nbsp;boolean&nbsp;isFPrivateResult()</pre>
                                <div class="block">==1 whenever the result of the field is never to be shown</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fPrivateResult field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFNested-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFNested</h4>
                                <pre>public&nbsp;void&nbsp;setFNested(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fNested field value. ==1 when field is nested within another
                                    field
                                </div>
                            </li>
                        </ul>
                        <a name="isFNested--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFNested</h4>
                                <pre>public&nbsp;boolean&nbsp;isFNested()</pre>
                                <div class="block">==1 when field is nested within another field</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fNested field value.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFHasSep-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFHasSep</h4>
                                <pre>public&nbsp;void&nbsp;setFHasSep(boolean&nbsp;value)</pre>
                                <div class="block">Sets the fHasSep field value. ==1 when field has a field separator
                                </div>
                            </li>
                        </ul>
                        <a name="isFHasSep--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>isFHasSep</h4>
                                <pre>public&nbsp;boolean&nbsp;isFHasSep()</pre>
                                <div class="block">==1 when field has a field separator</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the fHasSep field value.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FLDAbstractType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hwpf/model/types/FRDAbstractType.html"
               title="class in org.apache.poi.hwpf.model.types"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/FLDAbstractType.html" target="_top">Frames</a>
        </li>
        <li><a href="FLDAbstractType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
